<?php

namespace Modules\Common\Errors;

class Errors
{
    public const  EMAIL_EXISTS= [500001, '邮箱已经被使用'];
    public const  USER_NOT_FOUND= [500002, '用户不存在'];
    public const  PARAM_EMPTY= [500003, '缺少参数'];
    public const  PARAM_ERROR= [500004, '参数错误'];
    public const  NO_OPERATE_PERMISSION= [500007, '用户无操作权限'];
    public const  VIDEO_NOT_EXISTS= [500008, '视频不存在'];
    public const  MINIPROGRAM_STATUS_ERROR= [50005, '小程序未启用'];
    public const  PAY_TEMPLATE_EXISTS_ERROR= [500006, '充值模板已经存在'];
    public const  PAY_TEMPLATE_GIVEN_TOO_MUCH= [500007, '赠送不能超过金额3倍'];
    public const  PAY_TEMPLATE_NOT_EXISTS_ERROR= [500008, '充值模板不存在'];
    public const  PAY_TEMPLATE_CONFLICT= [500008, '该档位已存在'];
    public const  PAY_TEMPLATE_OPTIONS_ERROR= [500009, '类型不存在'];
    public const  SERIES_NAME_NOT_OK= [500010, '剧集命名不合规'];
    public const  UPLOAD_IMAGE_ERROR= [500006, '上传图片不成功'];
    public const  JULIANG_ACCOUNT_EXISTS= [500101, '巨量广告账户已经存在'];
    public const  CALLBACK_RATE_TIME_RANGE_ERROR= [500102, '回传比例时间区间不合法'];
    public const  CALLBACK_RECORD_NOT_EXISTS= [500103, '回传日志不存在'];
    public const  CALLBACK_RECORD_LOG_ERROR= [500104, '回传日志补传信息缺失'];
    public const  JULIANG_ACCOUNT_PROMOTION_UNIQUE = [500105, '巨量广告账户只允许绑定一个推广,请先解绑'];
    public const  JULIANG_ACCOUNT_CONFIG_NOT_EXISTS = [500106, '回传配置不存在'];
    public const  TIXIAN_YUE_BUZU = [500201, '提现余额不足'];
    public const  BANK_CARD_STATUS_ERROR = [500202, '银行卡不存在或当前状态不可提现'];
    public const  TIXIAN_RECORD_NOT_EXISTS = [500203, '提现记录不存在'];
    public const  TIXIAN_ONLY_ONCE_EVERY_DAY = [500204, '每天只能提现一次'];
    public const  OPERATION_FIRST_PAGE_LIST_NOT_EXISTS = [500301, '首页列表配置项不存在'];
    public const  VIDEO_SERIES_NOT_EXISTS = [500302, '剧集不存在'];
    public const  REQUEST_HTTP_STATUS_ERROR = [500401, '请求上游接口返回http状态码有误'];
    public const  REQUEST_CODE_STATUS_ERROR = [500402, '请求上游接口返回code状态码有误'];
    public const  SYNC_WECHAT_NOT_OK = [500303, '剧集没有成功同步到微信'];
    public const  MINIPROGRAM_OWNER_ACCOUNT_ROLE_ERROR= [5000501, '所分配的账号不是投放公司账号'];
    public const  GET_WECHAT_MEDIA_LINK_ERROR = [500304, '获取短剧播放链接失败'];
    public const  OPENPLATFORM_COMPANY_INFO_NOT_EXISTS= [5000601, '公司没有对应的开放平台信息'];
    public const  OPENPLATFORM_OPTIMIZER_INFO_ERROR= [5000602, '优化师信息有误'];
    public const  WECHAT_CHECK_RECORD_NOT_EXISTS = [500305, '微信提审记录不存在'];
    public const  CALLBACK_CHARGE_MONEY_MAP_ERROR = [500107, '金额项配置不合规'];
}
