<?php

namespace Modules\Common\Repository\Options;

use Catch\Enums\Status as StatusEnum;

class CommonParams implements OptionInterface
{
    public function get(): array
    {
        /**
         * @see modules/Common/config/common.php
         */
        $commonConfig = config('common.common');
        return [
            /**
             * 支付类型
             */
           'payType' => $commonConfig['payType'],
            /**
             * 小程序类型
             */
            'miniprogramType' => $commonConfig['miniprogramType'],
            /**
             * 首页列表类型
             */
            'firstPageListType' => $commonConfig['firstPageListType'],
        ];
    }
}
