<?php

namespace Modules\Manage\Models;


class Miniprogram extends BaseModel
{

    protected string $sortField = 'id';

    // 排序规则
    protected bool $sortDesc = true;

    protected $table = 'miniprogram';

    protected $fillable = [
        'id', 'name', 'company', 'type', 'appid', 'appsecret',"pay_merchant_id","pay_merchant_info", 'status', 'remark', 'play_name','created_at', 'updated_at'
    ];
    protected $casts = ['pay_merchant_info' =>'array'];
}
