<?php

use Illuminate\Database\Seeder;

return new class extends Seeder
{
    /**
     * Run the seeder.
     *
     * @return void
     */
    public function run(): void
    {
        $menus = $this->menus();

        importTreeData($menus, 'permissions');
    }


    public function menus(): array
    {
        return array (
  0 =>
  array (
    'id' => 1,
    'parent_id' => 0,
    'permission_name' => '权限管理',
    'route' => '/permission',
    'icon' => 'arrow-down-on-square-stack',
    'module' => 'permissions',
    'permission_mark' => '',
    'component' => '/admin/layout/index.vue',
    'redirect' => NULL,
    'keepalive' => 1,
    'type' => 1,
    'hidden' => 1,
    'sort' => 1,
    'creator_id' => 0,
    'created_at' => 1670579928,
    'updated_at' => 1672798090,
    'deleted_at' => 0,
    'children' =>
    array (
      0 =>
      array (
        'id' => 2,
        'parent_id' => 1,
        'permission_name' => '角色管理',
        'route' => 'roles',
        'icon' => 'arrow-left-circle',
        'module' => 'permissions',
        'permission_mark' => 'Roles',
        'component' => '/Permissions/views/roles/index.vue',
        'redirect' => NULL,
        'keepalive' => 1,
        'type' => 2,
        'hidden' => 1,
        'sort' => 6,
        'creator_id' => 0,
        'created_at' => 1670579968,
        'updated_at' => 1672798090,
        'deleted_at' => 0,
        'children' =>
        array (
          0 =>
          array (
            'id' => 53,
            'parent_id' => 2,
            'permission_name' => '列表',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Roles@index',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 1,
            'creator_id' => 1,
            'created_at' => 1671526858,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          1 =>
          array (
            'id' => 54,
            'parent_id' => 2,
            'permission_name' => '新增',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Roles@store',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 2,
            'creator_id' => 1,
            'created_at' => 1671526858,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          2 =>
          array (
            'id' => 55,
            'parent_id' => 2,
            'permission_name' => '读取',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Roles@show',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 3,
            'creator_id' => 1,
            'created_at' => 1671526858,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          3 =>
          array (
            'id' => 56,
            'parent_id' => 2,
            'permission_name' => '更新',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Roles@update',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 4,
            'creator_id' => 1,
            'created_at' => 1671526858,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          4 =>
          array (
            'id' => 57,
            'parent_id' => 2,
            'permission_name' => '删除',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Roles@destroy',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 5,
            'creator_id' => 1,
            'created_at' => 1671526858,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
        ),
      ),
      1 =>
      array (
        'id' => 3,
        'parent_id' => 1,
        'permission_name' => '菜单管理',
        'route' => 'permissions',
        'icon' => 'finger-print',
        'module' => 'permissions',
        'permission_mark' => 'Permissions',
        'component' => '/Permissions/views/permissions/index.vue',
        'redirect' => NULL,
        'keepalive' => 1,
        'type' => 2,
        'hidden' => 1,
        'sort' => 1,
        'creator_id' => 0,
        'created_at' => 1670641371,
        'updated_at' => 1672798090,
        'deleted_at' => 0,
        'children' =>
        array (
          0 =>
          array (
            'id' => 27,
            'parent_id' => 3,
            'permission_name' => '列表',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Permissions@index',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 1,
            'creator_id' => 1,
            'created_at' => 1671524755,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          1 =>
          array (
            'id' => 28,
            'parent_id' => 3,
            'permission_name' => '新增',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Permissions@store',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 2,
            'creator_id' => 1,
            'created_at' => 1671524755,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          2 =>
          array (
            'id' => 29,
            'parent_id' => 3,
            'permission_name' => '读取',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Permissions@show',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 3,
            'creator_id' => 1,
            'created_at' => 1671524755,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          3 =>
          array (
            'id' => 30,
            'parent_id' => 3,
            'permission_name' => '更新',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Permissions@update',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 4,
            'creator_id' => 1,
            'created_at' => 1671524756,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          4 =>
          array (
            'id' => 31,
            'parent_id' => 3,
            'permission_name' => '删除',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Permissions@destroy',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 5,
            'creator_id' => 1,
            'created_at' => 1671524756,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          5 =>
          array (
            'id' => 32,
            'parent_id' => 3,
            'permission_name' => '禁用/启用',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Permissions@enable',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 6,
            'creator_id' => 1,
            'created_at' => 1671524756,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
        ),
      ),
      2 =>
      array (
        'id' => 4,
        'parent_id' => 1,
        'permission_name' => '岗位管理',
        'route' => 'jobs',
        'icon' => 'globe-americas',
        'module' => 'permissions',
        'permission_mark' => 'Jobs',
        'component' => '/Permissions/views/jobs/index.vue',
        'redirect' => NULL,
        'keepalive' => 1,
        'type' => 2,
        'hidden' => 1,
        'sort' => 1,
        'creator_id' => 0,
        'created_at' => 1670641399,
        'updated_at' => 1672798090,
        'deleted_at' => 0,
        'children' =>
        array (
          0 =>
          array (
            'id' => 21,
            'parent_id' => 4,
            'permission_name' => '列表',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Jobs@index',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 1,
            'creator_id' => 1,
            'created_at' => 1671524747,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          1 =>
          array (
            'id' => 22,
            'parent_id' => 4,
            'permission_name' => '新增',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Jobs@store',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 2,
            'creator_id' => 1,
            'created_at' => 1671524747,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          2 =>
          array (
            'id' => 23,
            'parent_id' => 4,
            'permission_name' => '读取',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Jobs@show',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 3,
            'creator_id' => 1,
            'created_at' => 1671524747,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          3 =>
          array (
            'id' => 24,
            'parent_id' => 4,
            'permission_name' => '更新',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Jobs@update',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 4,
            'creator_id' => 1,
            'created_at' => 1671524747,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          4 =>
          array (
            'id' => 25,
            'parent_id' => 4,
            'permission_name' => '删除',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Jobs@destroy',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 5,
            'creator_id' => 1,
            'created_at' => 1671524747,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          5 =>
          array (
            'id' => 26,
            'parent_id' => 4,
            'permission_name' => '禁用/启用',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Jobs@enable',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 6,
            'creator_id' => 1,
            'created_at' => 1671524747,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
        ),
      ),
      3 =>
      array (
        'id' => 5,
        'parent_id' => 1,
        'permission_name' => '部门管理',
        'route' => 'departments',
        'icon' => 'table-cells',
        'module' => 'permissions',
        'permission_mark' => 'Departments',
        'component' => '/Permissions/views/departments/index.vue',
        'redirect' => NULL,
        'keepalive' => 1,
        'type' => 2,
        'hidden' => 1,
        'sort' => 1,
        'creator_id' => 0,
        'created_at' => 1670641426,
        'updated_at' => 1672798090,
        'deleted_at' => 0,
        'children' =>
        array (
          0 =>
          array (
            'id' => 12,
            'parent_id' => 5,
            'permission_name' => '列表',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Departments@index',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 1,
            'creator_id' => 1,
            'created_at' => 1671501850,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          1 =>
          array (
            'id' => 13,
            'parent_id' => 5,
            'permission_name' => '新增',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Departments@store',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 1,
            'creator_id' => 1,
            'created_at' => 1671501861,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          2 =>
          array (
            'id' => 14,
            'parent_id' => 5,
            'permission_name' => '读取',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Departments@show',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 1,
            'creator_id' => 1,
            'created_at' => 1671501872,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          3 =>
          array (
            'id' => 15,
            'parent_id' => 5,
            'permission_name' => '更新',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Departments@update',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 1,
            'creator_id' => 1,
            'created_at' => 1671517311,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          4 =>
          array (
            'id' => 16,
            'parent_id' => 5,
            'permission_name' => '删除',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Departments@destroy',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 1,
            'creator_id' => 1,
            'created_at' => 1671517324,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
          5 =>
          array (
            'id' => 17,
            'parent_id' => 5,
            'permission_name' => '禁用/启用',
            'route' => '',
            'icon' => '',
            'module' => 'permissions',
            'permission_mark' => 'Departments@enable',
            'component' => '',
            'redirect' => '',
            'keepalive' => 1,
            'type' => 3,
            'hidden' => 1,
            'sort' => 6,
            'creator_id' => 1,
            'created_at' => 1671524493,
            'updated_at' => 1672798090,
            'deleted_at' => 0,
          ),
        ),
      ),
    ),
  ),
);
    }
};
