<?php

use Illuminate\Support\Facades\Route;
use Modules\Audience\Http\Controllers\AudienceController;
use Modules\Video\Http\Controllers\EpisodeController;
use Modules\Video\Http\Controllers\VideoCategoryController;
use Modules\Video\Http\Controllers\VideoController;
use Modules\Video\Http\Controllers\VideoSeriesWechatCheckController;
use Modules\Video\Http\Controllers\WechatCheckController;

Route::prefix('audienceManage')->group(function () {
    Route::prefix('audience')->group(function(){
        Route::get('detail', [AudienceController::class, 'detail'])->middleware('roleCheck:optimizer');
    });
});

