<?php

namespace Modules\OrderRefund\Models;

use Modules\Common\Models\BaseModel;


class OrdersRefundVerify extends BaseModel
{
    protected $table = 'orders_refund_verify';

    protected $fillable = [
        'id','third_orderid', 'create_user_id',"pay_merchant_id", 'order_id', 'puser_id', 'user_id', 'uid', 'order_price', 'refund_price', 'trade_no', 'refund_no', 'refund_status', 'pay_at', 'pay_op_user', 'pt_verify_status', 'pt_verifty_user', 'pt_verify_at', 'pt_verify_remark', 'sh_verify_status', 'sh_verifty_user', 'sh_verify_remark', 'sh_verify_at', 'created_at', 'updated_at',
    ];
    protected $casts = ['sh_verifty_user' => 'array','pt_verifty_user' => 'array','pay_op_user' => 'array'];

}
